[project]
name = "auracast"
version = "0.0.1"
requires-python = ">=3.11"

dependencies = [
    "bumble @ git+ssh://git@ssh.pstruebi.xyz:222/auracaster/bumble_mirror.git@12bcdb7770c0d57a094bc0a96cd52e701f97fece",
    "lc3 @ git+ssh://git@ssh.pstruebi.xyz:222/auracaster/liblc3.git@7558637303106c7ea971e7bb8cedf379d3e08bcc",
    "sounddevice",
    "aioconsole",
    "fastapi==0.115.11",
    "uvicorn==0.34.0",
    "aiohttp==3.9.3",
    "sounddevice (>=0.5.1,<0.6.0)",
    "aioconsole (>=0.8.1,<0.9.0)",
    "numpy (>=2.2.6,<3.0.0)",
    "streamlit (>=1.45.1,<2.0.0)",
    "aiortc (>=1.13.0,<2.0.0)"
]

[project.optional-dependencies]
test = [
    "pytest >= 8.2",
    "pytest-asyncio"
]

[build-system]
requires = ["setuptools>=61"] #, "wheel", "setuptools_scm>=8"
build-backend = "setuptools.build_meta"
